<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
        http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">

    <changeSet id="018-add-article-id-to-recipes" author="effigenix">
        <preConditions onFail="MARK_RAN">
            <not>
                <columnExists tableName="recipes" columnName="article_id"/>
            </not>
        </preConditions>
        <addColumn tableName="recipes">
            <column name="article_id" type="VARCHAR(36)" defaultValue="UNKNOWN">
                <constraints nullable="false"/>
            </column>
        </addColumn>
    </changeSet>

</databaseChangeLog>
